package com.ruoyi.jarvis.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.jarvis.mapper.SuperAdminMapper;
import com.ruoyi.jarvis.domain.SuperAdmin;
import com.ruoyi.jarvis.service.SuperAdminService;

/**
 * 超级管理员Service业务层处理
 *
 * @author ruoyi
 */
@Service
public class SuperAdminServiceImpl implements SuperAdminService
{
    @Autowired
    private SuperAdminMapper superAdminMapper;

    /**
     * 查询超级管理员
     *
     * @param id 超级管理员主键
     * @return 超级管理员
     */
    @Override
    public SuperAdmin selectSuperAdminById(Long id)
    {
        return superAdminMapper.selectSuperAdminById(id);
    }

    /**
     * 查询超级管理员列表
     *
     * @param superAdmin 超级管理员
     * @return 超级管理员
     */
    @Override
    public List<SuperAdmin> selectSuperAdminList(SuperAdmin superAdmin)
    {
        return superAdminMapper.selectSuperAdminList(superAdmin);
    }

    /**
     * 新增超级管理员
     *
     * @param superAdmin 超级管理员
     * @return 结果
     */
    @Override
    public int insertSuperAdmin(SuperAdmin superAdmin)
    {
        return superAdminMapper.insertSuperAdmin(superAdmin);
    }

    /**
     * 修改超级管理员
     *
     * @param superAdmin 超级管理员
     * @return 结果
     */
    @Override
    public int updateSuperAdmin(SuperAdmin superAdmin)
    {
        return superAdminMapper.updateSuperAdmin(superAdmin);
    }

    /**
     * 批量删除超级管理员
     *
     * @param ids 需要删除的超级管理员主键
     * @return 结果
     */
    @Override
    public int deleteSuperAdminByIds(Long[] ids)
    {
        return superAdminMapper.deleteSuperAdminByIds(ids);
    }

    /**
     * 删除超级管理员信息
     *
     * @param id 超级管理员主键
     * @return 结果
     */
    @Override
    public int deleteSuperAdminById(Long id)
    {
        return superAdminMapper.deleteSuperAdminById(id);
    }

    @Override
    public SuperAdmin selectSuperAdminByUnionId(Long unionId) {
        return superAdminMapper.selectSuperAdminByUnionId(unionId);
    }
}
